Measure logo
REST API ReferenceDashboard APIApps

Update an app's retention period

PATCH/apps/{id}/retention

Update an app's data retention period in days. Must be between 30 and 365.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/retention" \  -H "Content-Type: application/json" \  -d '{    "retention": 365  }'
{  "ok": "done"}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue